% Add further definitions and additional packages  here
\usetikzlibrary{positioning, arrows, shapes, shadows, calc, fit}
\usepackage{subcaption}

% The bibliography
\usepackage[backend=bibtex, maxnames=4, minnames=2, style=numeric, sorting=none]{biblatex}
\addbibresource{bibliography}

% Prevent single lines to be printed on the next page
\clubpenalty = 10000
\widowpenalty = 10000
\displaywidowpenalty = 10000

% For literal quotes
\usepackage{csquotes}

% For glossary
% makeindex -s %.ist -o %.gls %.glo
\usepackage[nopostdot, nonumberlist, nogroupskip, toc,  hyperfirst=false]{glossaries}
\usepackage{glossary-tree}
\makeglossaries

% For tables
\newcommand{\failed}{\cellcolor{red}FAILED}
\newcommand{\passed}{\cellcolor{green}PASSED}

% For description lists
\usepackage{enumitem}

% For clever referencing:
\usepackage{cleveref}

% For better hyphenation of URLs
\usepackage[hyphens]{url}
\urlstyle{rm}
